Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/Material/FrmMaterialList.designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/Material/FrmMaterialList.designer.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/Material/FrmMaterialList.designer.cs	(revision 51)
@@ -0,0 +1,311 @@
+﻿using ProcessManagement.Forms.CustomControls;
+
+namespace ProcessManagement.Forms.SubForms
+{
+    partial class FrmMaterialList
+    {
+        /// <summary>
+        /// 必要なデザイナ変数です。
+        /// </summary>
+        private System.ComponentModel.IContainer components = null;
+
+        /// <summary>
+        /// 使用中のリソースをすべてクリーンアップします。
+        /// </summary>
+        /// <param name="disposing">マネージ リソースが破棄される場合 true、破棄されない場合は false です。</param>
+        protected override void Dispose(bool disposing)
+        {
+            if (disposing && (components != null))
+            {
+                components.Dispose();
+            }
+            base.Dispose(disposing);
+        }
+
+        #region Windows フォーム デザイナで生成されたコード
+
+        /// <summary>
+        /// デザイナ サポートに必要なメソッドです。このメソッドの内容を
+        /// コード エディタで変更しないでください。
+        /// </summary>
+        private void InitializeComponent()
+        {
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle1 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle2 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle3 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle4 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle5 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle6 = new System.Windows.Forms.DataGridViewCellStyle();
+            this.btnMaterialCountEntry = new System.Windows.Forms.Button();
+            this.btnEnd = new System.Windows.Forms.Button();
+            this.label1 = new System.Windows.Forms.Label();
+            this.label2 = new System.Windows.Forms.Label();
+            this.btnResetRecord = new System.Windows.Forms.Button();
+            this.btnMaterialHistory = new System.Windows.Forms.Button();
+            this.cmbTypes = new ProcessManagement.Forms.CustomControls.ComboBoxEX();
+            this.dgvMaster = new ProcessManagement.Forms.CustomControls.DataGridViewEX();
+            this.Column1 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.Column2 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.Column7 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.Column3 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.Column4 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.Column5 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.Column6 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            ((System.ComponentModel.ISupportInitialize)(this.dgvMaster)).BeginInit();
+            this.SuspendLayout();
+            // 
+            // btnMaterialCountEntry
+            // 
+            this.btnMaterialCountEntry.BackColor = System.Drawing.Color.Green;
+            this.btnMaterialCountEntry.Cursor = System.Windows.Forms.Cursors.Arrow;
+            this.btnMaterialCountEntry.ForeColor = System.Drawing.Color.White;
+            this.btnMaterialCountEntry.Location = new System.Drawing.Point(131, 493);
+            this.btnMaterialCountEntry.Margin = new System.Windows.Forms.Padding(2);
+            this.btnMaterialCountEntry.Name = "btnMaterialCountEntry";
+            this.btnMaterialCountEntry.Size = new System.Drawing.Size(120, 28);
+            this.btnMaterialCountEntry.TabIndex = 1;
+            this.btnMaterialCountEntry.Text = "資材数変更";
+            this.btnMaterialCountEntry.UseVisualStyleBackColor = false;
+            this.btnMaterialCountEntry.Click += new System.EventHandler(this.btnDataEntry_Click);
+            // 
+            // btnEnd
+            // 
+            this.btnEnd.BackColor = System.Drawing.Color.Blue;
+            this.btnEnd.ForeColor = System.Drawing.Color.White;
+            this.btnEnd.Location = new System.Drawing.Point(863, 493);
+            this.btnEnd.Margin = new System.Windows.Forms.Padding(2);
+            this.btnEnd.Name = "btnEnd";
+            this.btnEnd.Size = new System.Drawing.Size(120, 28);
+            this.btnEnd.TabIndex = 4;
+            this.btnEnd.Text = "終　了";
+            this.btnEnd.UseVisualStyleBackColor = false;
+            this.btnEnd.Click += new System.EventHandler(this.btnEnd_Click);
+            // 
+            // label1
+            // 
+            this.label1.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(128)))));
+            this.label1.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.label1.ForeColor = System.Drawing.Color.Black;
+            this.label1.Location = new System.Drawing.Point(356, 6);
+            this.label1.Margin = new System.Windows.Forms.Padding(2, 0, 2, 0);
+            this.label1.Name = "label1";
+            this.label1.Size = new System.Drawing.Size(293, 32);
+            this.label1.TabIndex = 6;
+            this.label1.Text = "資　材　一　覧";
+            this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // label2
+            // 
+            this.label2.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(128)))), ((int)(((byte)(128)))));
+            this.label2.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.label2.ForeColor = System.Drawing.Color.Black;
+            this.label2.Location = new System.Drawing.Point(10, 46);
+            this.label2.Margin = new System.Windows.Forms.Padding(2, 0, 2, 0);
+            this.label2.Name = "label2";
+            this.label2.Size = new System.Drawing.Size(107, 24);
+            this.label2.TabIndex = 23;
+            this.label2.Text = "資材種類";
+            this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // btnResetRecord
+            // 
+            this.btnResetRecord.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(0)))), ((int)(((byte)(192)))), ((int)(((byte)(192)))));
+            this.btnResetRecord.ForeColor = System.Drawing.Color.Black;
+            this.btnResetRecord.Location = new System.Drawing.Point(825, 8);
+            this.btnResetRecord.Margin = new System.Windows.Forms.Padding(2);
+            this.btnResetRecord.Name = "btnResetRecord";
+            this.btnResetRecord.Size = new System.Drawing.Size(160, 28);
+            this.btnResetRecord.TabIndex = 27;
+            this.btnResetRecord.Text = "最新状態に更新";
+            this.btnResetRecord.UseVisualStyleBackColor = false;
+            this.btnResetRecord.Click += new System.EventHandler(this.btnResetRecord_Click);
+            // 
+            // btnMaterialHistory
+            // 
+            this.btnMaterialHistory.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(128)))), ((int)(((byte)(0)))));
+            this.btnMaterialHistory.ForeColor = System.Drawing.Color.Black;
+            this.btnMaterialHistory.Location = new System.Drawing.Point(7, 493);
+            this.btnMaterialHistory.Margin = new System.Windows.Forms.Padding(2);
+            this.btnMaterialHistory.Name = "btnMaterialHistory";
+            this.btnMaterialHistory.Size = new System.Drawing.Size(120, 28);
+            this.btnMaterialHistory.TabIndex = 29;
+            this.btnMaterialHistory.Text = "資材履歴";
+            this.btnMaterialHistory.UseVisualStyleBackColor = false;
+            this.btnMaterialHistory.Click += new System.EventHandler(this.btnMaterialHistory_Click);
+            // 
+            // cmbTypes
+            // 
+            this.cmbTypes.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
+            this.cmbTypes.FormattingEnabled = true;
+            this.cmbTypes.Location = new System.Drawing.Point(118, 46);
+            this.cmbTypes.Margin = new System.Windows.Forms.Padding(2);
+            this.cmbTypes.Name = "cmbTypes";
+            this.cmbTypes.Size = new System.Drawing.Size(200, 24);
+            this.cmbTypes.TabIndex = 28;
+            this.cmbTypes.SelectedIndexChanged += new System.EventHandler(this.cmbTypes_SelectedIndexChanged);
+            // 
+            // dgvMaster
+            // 
+            this.dgvMaster.AllowUserToAddRows = false;
+            this.dgvMaster.AllowUserToDeleteRows = false;
+            this.dgvMaster.AllowUserToResizeColumns = false;
+            this.dgvMaster.AllowUserToResizeRows = false;
+            this.dgvMaster.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            dataGridViewCellStyle1.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle1.BackColor = System.Drawing.SystemColors.Control;
+            dataGridViewCellStyle1.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            dataGridViewCellStyle1.ForeColor = System.Drawing.SystemColors.WindowText;
+            dataGridViewCellStyle1.SelectionBackColor = System.Drawing.SystemColors.Highlight;
+            dataGridViewCellStyle1.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
+            dataGridViewCellStyle1.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
+            this.dgvMaster.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle1;
+            this.dgvMaster.ColumnHeadersHeight = 27;
+            this.dgvMaster.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
+            this.dgvMaster.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
+            this.Column1,
+            this.Column2,
+            this.Column7,
+            this.Column3,
+            this.Column4,
+            this.Column5,
+            this.Column6});
+            this.dgvMaster.Location = new System.Drawing.Point(9, 79);
+            this.dgvMaster.Margin = new System.Windows.Forms.Padding(2);
+            this.dgvMaster.Name = "dgvMaster";
+            this.dgvMaster.RowHeadersVisible = false;
+            this.dgvMaster.RowHeadersWidth = 20;
+            this.dgvMaster.RowHeadersWidthSizeMode = System.Windows.Forms.DataGridViewRowHeadersWidthSizeMode.DisableResizing;
+            this.dgvMaster.RowTemplate.Height = 25;
+            this.dgvMaster.SelectionMode = System.Windows.Forms.DataGridViewSelectionMode.FullRowSelect;
+            this.dgvMaster.Size = new System.Drawing.Size(975, 403);
+            this.dgvMaster.TabIndex = 0;
+            this.dgvMaster.CellClick += new System.Windows.Forms.DataGridViewCellEventHandler(this.dgvMaster_CellClick);
+            this.dgvMaster.CellDoubleClick += new System.Windows.Forms.DataGridViewCellEventHandler(this.dgvMaster_CellDoubleClick);
+            // 
+            // Column1
+            // 
+            dataGridViewCellStyle2.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle2.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.Column1.DefaultCellStyle = dataGridViewCellStyle2;
+            this.Column1.HeaderText = "№";
+            this.Column1.Name = "Column1";
+            this.Column1.ReadOnly = true;
+            this.Column1.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.Column1.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.Column1.Width = 70;
+            // 
+            // Column2
+            // 
+            dataGridViewCellStyle3.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle3.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.Column2.DefaultCellStyle = dataGridViewCellStyle3;
+            this.Column2.HeaderText = "種類";
+            this.Column2.Name = "Column2";
+            this.Column2.ReadOnly = true;
+            this.Column2.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.Column2.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.Column2.Width = 150;
+            // 
+            // Column7
+            // 
+            this.Column7.HeaderText = "品目コード";
+            this.Column7.Name = "Column7";
+            this.Column7.Visible = false;
+            // 
+            // Column3
+            // 
+            this.Column3.HeaderText = "品目";
+            this.Column3.Name = "Column3";
+            this.Column3.ReadOnly = true;
+            this.Column3.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.Column3.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.Column3.Width = 360;
+            // 
+            // Column4
+            // 
+            dataGridViewCellStyle4.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            dataGridViewCellStyle4.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            dataGridViewCellStyle4.Format = "#,0";
+            this.Column4.DefaultCellStyle = dataGridViewCellStyle4;
+            this.Column4.HeaderText = "資材数";
+            this.Column4.Name = "Column4";
+            this.Column4.ReadOnly = true;
+            this.Column4.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.Column4.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.Column4.Width = 125;
+            // 
+            // Column5
+            // 
+            dataGridViewCellStyle5.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            dataGridViewCellStyle5.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            dataGridViewCellStyle5.Format = "#,0";
+            this.Column5.DefaultCellStyle = dataGridViewCellStyle5;
+            this.Column5.HeaderText = "貸出可能数";
+            this.Column5.Name = "Column5";
+            this.Column5.ReadOnly = true;
+            this.Column5.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.Column5.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.Column5.Width = 125;
+            // 
+            // Column6
+            // 
+            dataGridViewCellStyle6.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle6.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.Column6.DefaultCellStyle = dataGridViewCellStyle6;
+            this.Column6.HeaderText = "登録日";
+            this.Column6.Name = "Column6";
+            this.Column6.ReadOnly = true;
+            this.Column6.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.Column6.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.Column6.Width = 125;
+            // 
+            // FrmMaterialList
+            // 
+            this.AutoScaleDimensions = new System.Drawing.SizeF(96F, 96F);
+            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Dpi;
+            this.BackColor = System.Drawing.Color.Black;
+            this.ClientSize = new System.Drawing.Size(993, 534);
+            this.Controls.Add(this.btnMaterialHistory);
+            this.Controls.Add(this.cmbTypes);
+            this.Controls.Add(this.btnResetRecord);
+            this.Controls.Add(this.label2);
+            this.Controls.Add(this.label1);
+            this.Controls.Add(this.btnMaterialCountEntry);
+            this.Controls.Add(this.btnEnd);
+            this.Controls.Add(this.dgvMaster);
+            this.Cursor = System.Windows.Forms.Cursors.Default;
+            this.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
+            this.KeyPreview = true;
+            this.Margin = new System.Windows.Forms.Padding(2);
+            this.MaximizeBox = false;
+            this.Name = "FrmMaterialList";
+            this.ShowIcon = false;
+            this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
+            this.FormClosing += new System.Windows.Forms.FormClosingEventHandler(this.FrmMaterialList_FormClosing);
+            this.Load += new System.EventHandler(this.FrmMaterialList_Load);
+            ((System.ComponentModel.ISupportInitialize)(this.dgvMaster)).EndInit();
+            this.ResumeLayout(false);
+
+        }
+
+        #endregion
+
+        private DataGridViewEX dgvMaster;
+        private System.Windows.Forms.Button btnMaterialCountEntry;
+        private System.Windows.Forms.Button btnEnd;
+        private System.Windows.Forms.Label label1;
+        private System.Windows.Forms.Label label2;
+        private System.Windows.Forms.Button btnResetRecord;
+        private ComboBoxEX cmbTypes;
+        private System.Windows.Forms.Button btnMaterialHistory;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column1;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column2;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column7;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column3;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column4;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column5;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column6;
+
+    }
+}
\ No newline at end of file
Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/Material/FrmMaterialSelect.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/Material/FrmMaterialSelect.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/Material/FrmMaterialSelect.cs	(revision 51)
@@ -0,0 +1,388 @@
+using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Text;
+using System.Windows.Forms;
+using System.Linq;
+
+using log4net;
+using log4net.Appender;
+using log4net.Repository.Hierarchy;
+
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.DataModel;
+using ProcessManagement.DB.Core;
+using ProcessManagement.Forms.DataEntry;
+using ProcessManagement.Forms.Master;
+using ProcessManagement.Forms.CustomControls;
+using ProcessManagement.Forms.ControlsAction;
+//*------------------------ 単位マスタメンテ画面 ----------------------*
+//  2015/07/14  Ver1.0.0.0      Create Source           
+//
+//
+//
+//*----------------------------------------------------------------------------*
+namespace ProcessManagement.Forms.SubForms
+{
+    public partial class FrmMaterialSelect : Form
+    {
+        #region 使用定義
+        //log4netログを使用する
+        private static readonly log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// 表示カラム
+        /// </summary>
+        private enum DispGridColumn
+        {
+            DisplayOrder=0,
+            MaterialItemCode,
+            MaterialItemName,
+            SelectCheck
+        }
+
+        #endregion
+
+        #region 変数
+
+        /// <summary>
+        /// 単位文字
+        /// </summary>
+        private string m_UnitName = string.Empty;
+
+        /// <summary>
+        /// 終了ボタン押下フラグ
+        /// </summary>
+        private DialogResult m_EndButton = DialogResult.None;
+
+        /// <summary>
+        /// 資材品目
+        /// </summary>
+        private List<MaterialItemMaster> m_MaterialItemNames = new List<MaterialItemMaster>();
+
+        /// <summary>
+        /// 資材種類
+        /// </summary>
+        private List<MaterialKindMaster> m_MaterialKindNames = new List<MaterialKindMaster>();
+        /// </summary>
+        #endregion
+
+        #region コンストラクタ
+        public FrmMaterialSelect()
+        {
+            InitializeComponent();
+        }
+        #endregion
+        #region デストラクタ
+        ~FrmMaterialSelect()
+        {
+            try
+            {
+                GC.Collect();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+
+        #region プロパティ
+        ///// <summary>
+        /// 資材品目名
+        /// </summary>
+        public List<MaterialItemMaster> MaterialItemNames
+        {
+            get { return m_MaterialItemNames; }
+            set { m_MaterialItemNames = value; }
+        }
+
+        ///// <summary>
+        /// 資材種類
+        /// </summary>
+        public List<MaterialKindMaster> MaterialKindNames
+        {
+            get { return m_MaterialKindNames; }
+            set { m_MaterialKindNames = value; }
+        }
+        
+
+        /// <summary>
+        /// ダイアログ終了状態
+        /// </summary>
+        public DialogResult EndButton
+        {
+            get { return m_EndButton; }
+        }
+
+        #endregion
+
+
+
+        /// <summary>
+        /// 終了ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnEnd_Click(object sender, EventArgs e)
+        {
+            m_EndButton = DialogResult.No;
+            this.Close();
+        }
+
+        /// <summary>
+        /// フォームロード
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmMaterialSelect_Load(object sender, EventArgs e)
+        {
+            // フォームサイズ固定
+            this.MaximizedBounds = new Rectangle(this.Left, this.Top, this.Width, this.Height);
+            // 初期表示
+            InitDataLoad();
+        }
+
+        /// <summary>
+        /// 行データクリア
+        /// </summary>
+        /// <param name="iIndex">行カウント</param>
+        private void SetRowClearData(int iIndex)
+        {
+            // クリアデータセット
+            dgvMaster[(int)DispGridColumn.DisplayOrder, iIndex].Value = "";
+            dgvMaster[(int)DispGridColumn.MaterialItemCode, iIndex].Value = "";
+            dgvMaster[(int)DispGridColumn.MaterialItemName, iIndex].Value = "";
+        }
+
+        /// <summary>
+        /// グリッド採番処理
+        /// </summary>
+        private void LineReNumbering()
+        {
+            int icnt = 1;
+            foreach (DataGridViewRow r in dgvMaster.Rows)
+            {
+                // 表示されているものだけ採番
+                if (r.Visible)
+                    r.Cells[(int)DispGridColumn.DisplayOrder].Value = (icnt++).ToString();
+                else
+                    r.Cells[(int)DispGridColumn.DisplayOrder].Value = "0";
+            }
+        }
+ 
+
+        /// <summary>
+        /// セルクリック
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgvMaster_CellClick(object sender, DataGridViewCellEventArgs e)
+        {
+            dgvMaster_CellDoubleClick(sender, e);
+        }
+
+        /// <summary>
+        /// セルダブルクリック
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgvMaster_CellDoubleClick(object sender, DataGridViewCellEventArgs e)
+        {
+
+        }
+
+        
+        #region プライベートメソッド
+        /// <summary>
+        /// 初期表示処理
+        /// </summary>
+        private void InitDataLoad()
+        {
+            try
+            {
+                // グリッドの行を0に戻す
+                dgvMaster.Rows.Clear();
+
+                //素材種類表示
+                LoadMaterialKind();
+
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+
+        /// <summary>
+        /// 素材種類のロード
+        /// </summary>
+        private void LoadMaterialKind()
+        {
+            IOMaterialTypes IoMt = new IOMaterialTypes();
+            try
+            {
+                List<MaterialKindMaster> itemList = new List<MaterialKindMaster>();
+                if (!IoMt.SelectAction(" Where DeleteFlg = 0 Order By DisplayOrder ASC", ref itemList)) return;
+                if (itemList.Count == 0) return;
+
+                List<KeyValuePair<int, string>> DataList = new List<KeyValuePair<int, string>>();
+                // データ表示
+                for (int i = 0; i < itemList.Count; i++)
+                {
+                    KeyValuePair<int, string> keyval = new KeyValuePair<int, string>(itemList[i].MaterialKindCode, itemList[i].MaterialKindName);
+
+                    DataList.Add(keyval);
+                }
+
+                // コンボボックス初期表示
+                ComboBoxAction.InitDataSetCombBox(cmbTypes, DataList,false);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                IoMt.close();
+                IoMt = null;
+            }
+        }
+
+        /// <summary>
+        /// 資材品目の表示
+        /// </summary>
+        private void ItemListDisplay()
+        {
+            IOMaterialItem IoMi = new IOMaterialItem();
+            List<MaterialItemMaster> mim = new List<MaterialItemMaster>();
+
+            if (cmbTypes.SelectedIndex < 0) return;
+
+            string strMaterialKindCode = cmbTypes.SelectedValue.ToString();
+
+            try
+            {
+                dgvMaster.Rows.Clear();
+
+                // 資材品目抽出条件
+                string strSQL = string.Format(" Where MaterialKindCode={0} And DeleteFlg = 0 Order By DisplayOrder ASC", strMaterialKindCode); 
+                if (!IoMi.SelectAction(strSQL, ref mim)) return; 
+
+                // データ表示
+                int icnt = 0;
+                foreach (MaterialItemMaster work in mim)
+                {
+                    dgvMaster.Rows.Add();
+
+                    dgvMaster.Rows[icnt].Cells[(int)DispGridColumn.DisplayOrder].Value = work.DisplayOrder;
+                    dgvMaster.Rows[icnt].Cells[(int)DispGridColumn.MaterialItemCode].Value = work.MaterialItemCode;
+                    dgvMaster.Rows[icnt].Cells[(int)DispGridColumn.MaterialItemName].Value = work.MaterialItemName;
+                    dgvMaster.Rows[icnt].Cells[(int)DispGridColumn.MaterialItemName].ToolTipText = work.MaterialItemName;
+                    dgvMaster.Rows[icnt].Cells[(int)DispGridColumn.SelectCheck].Value = false;
+                    icnt++;
+                }
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                IoMi.close(); IoMi = null;
+            }
+        }
+
+ 
+        /// <summary>
+        /// 選択ボタン押し下げ
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnSelect_Click(object sender, EventArgs e)
+        {
+            DataGridView dgv = dgvMaster;
+            DataGridViewRow dgvRow = dgv.CurrentRow;
+            MaterialItemMaster item;
+            MaterialKindMaster kind;
+
+            IOMaterialTypes iomt = new IOMaterialTypes();
+
+            try
+            {
+                iomt.connect();
+
+                foreach (DataGridViewRow row in dgv.Rows)
+                {
+                    if (((bool)row.Cells[(int)DispGridColumn.SelectCheck].Value))
+                    {
+                        item = new MaterialItemMaster();
+                        kind = new MaterialKindMaster();
+
+                        item.DisplayOrder = CommonMotions.cnvInt(row.Cells[(int)DispGridColumn.DisplayOrder].Value);
+
+                        // 資材品目コード取得
+                        item.MaterialItemCode = CommonMotions.cnvInt(row.Cells[(int)DispGridColumn.MaterialItemCode].Value);
+                        // 資材品目名称取得
+                        item.MaterialItemName = CommonMotions.cnvString(row.Cells[(int)DispGridColumn.MaterialItemName].Value);
+                        m_MaterialItemNames.Add(item);
+
+                        List<MaterialKindMaster> mkm = new List<MaterialKindMaster>();
+                        iomt.SelectAction(string.Format(" where MaterialKindCode = {0}", cmbTypes.SelectedValue.ToString()), ref mkm);
+                        kind.DisplayOrder = CommonMotions.cnvInt(mkm[0].DisplayOrder);
+                        kind.MaterialKindCode = CommonMotions.cnvInt(cmbTypes.SelectedValue.ToString());
+                        kind.MaterialKindName = CommonMotions.cnvString(cmbTypes.Text);
+                        m_MaterialKindNames.Add(kind);
+
+                    }
+                }
+
+                m_EndButton = DialogResult.OK;
+                this.Close();
+            }
+            finally
+            {
+                iomt.close();
+                iomt = null;
+            }
+        }
+
+        /// <summary>
+        /// グリッド空行チェック
+        /// </summary>
+        /// <param name="row"></param>
+        /// <returns></returns>
+        private bool BlanckRowCheck(DataGridViewRow row)
+        {
+            try
+            {
+                // 空欄チェック
+                if (CommonMotions.chkObjectIsNull(row.Cells[(int)DispGridColumn.MaterialItemCode].Value)) return false;
+                if (CommonMotions.cnvString(row.Cells[(int)DispGridColumn.MaterialItemName].Value).Length == 0) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+
+        #endregion
+
+        private void cmbTypes_SelectedIndexChanged(object sender, EventArgs e)
+        {
+            ItemListDisplay();
+        }
+    }
+
+}
\ No newline at end of file
